Package Details: fsl 6.0.4-2

Git Clone URL: https://aur.archlinux.org/fsl.git (read-only, click to copy)
Package Base: fsl
Description: A comprehensive library of analysis tools for FMRI, MRI and DTI brain imaging data
Upstream URL: http://www.fmrib.ox.ac.uk/fsl/
Licenses: custom
Submitter: fishburn
Maintainer: tobac
Last Packager: tobac
Votes: 11
Popularity: 0.047935
First Submitted: 2012-07-02 23:36
Last Updated: 2020-08-26 10:02

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

tobac commented on 2020-01-06 08:11

@keiichilownsu12 I'm indeed subscribed, so sure, go ahead :)

Wrt cloning their online wiki, I don't think they provide an official means. Using wget --mirror was not successful either.

keiichiiownsu12 commented on 2020-01-06 08:03

@tobac also, are you perhaps subscribed to the fsl-support mailing list? I could raise the issue there and forward you the response (if I get any), if you are interested (i.e. the outdated documentation)

keiichiiownsu12 commented on 2020-01-06 07:59

@tobac do you know if they provide a means to clone their offline wiki?

tobac commented on 2020-01-06 07:24

@keiichilownsu12: Yeah, I noticed the outdated documentation, too. It's what they ship in their package.

The public repo is not for FSL itself, though, which is rather unfortunate. They only seem to host their proper FLOSS there, like FSLeyes.

keiichiiownsu12 commented on 2020-01-06 05:19

Also, if anyone is interested, looks like fsl has a (somewhat) publicly-viewable gitlab repository here: https://git.fmrib.ox.ac.uk/fsl

keiichiiownsu12 commented on 2020-01-06 05:02

Not sure if this is the fault of the FSL team, but the offline wiki and documentation provided in /opt/fsl/doc is outdated. I.e. from fsl v5.0 (2012), rather than fsl v6.0.

v6.0 included some new tools with corresponding articles (e.g. eddyQC). probably not too big of a deal though

tobac commented on 2020-01-05 16:07

Hi Ben, which address did you send the email to? The one from the PKGBUILD? I never received it.

Feakster commented on 2020-01-05 09:54

Just tried installing the latest version of this (6.0.3-1) in Manjaro (kernel v 5.4.6-2). Doing so results in a build error:

==> ERROR: A failure occurred in build().
    Aborting...
Error making: fsl

I had no problems installing the previous version (6.0.2-2), although that was a while ago now.

The end of the build.log file contains the following:

!!ERROR in BUILD!!
  Could not make the following projects successfully:
    fslsurface newmesh DiscreteOpt FastPDlib MSMRegLib film MSM ptx2

Emailed you the build.log file and my inxi -Fxz output.

Kind regards,

Ben

tobac commented on 2019-10-06 10:35

@maciex: Sent you an email.

maciex commented on 2019-10-06 10:00

@tobac

Thank you. Unfortunately I do not have enough time right now, to dive into our build.logs. I haven't done anything fancy apart adding export FSLDIR=/opt/fsl to /etc/profile. I used only yay and it used to work properly. Recently I tired makepkg -srci (the same result). I have also fsleyes installed, but it shouldn't be a problem.

Anyway, if you can send me the link to a package, I would be very grateful (and my wife too - she uses fsl mostly). Thank you.